"""
Configuration file for Package Checker
"""
import logging as log


class Config(object):
    DEBUG = False
    TESTING = False

    HOST = 'localhost'
    PORT = 8000

    LOG_FORMAT = '%(asctime)-15s %(levelname)-5s %(message)s'
    LOG_LEVEL = log.INFO

    TIME_FORMAT = '%d.%m.%Y %H:%M:%S'


class ProductionConfig(Config):
    HOST = '0.0.0.0'


class DevelopmentConfig(Config):
    DEBUG = True
    LOG_LEVEL = log.INFO


class TestingConfig(Config):
    TESTING = True


class RunningConfig(DevelopmentConfig):
    pass
